namespace IRaCIS.Core.Domain.Models;

[Comment("阅片标准分页")]
[Table("ReadingCriterionPage")]
public class ReadingCriterionPage : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    public List<ReadingQuestionTrial> ReadingQuestionList { get; set; } = new List<ReadingQuestionTrial>();
    #endregion
    [Comment("项目ID")]
    public Guid TrialId { get; set; }

    [Comment("分页名称")]
    public string PageName { get; set; } = string.Empty;

    [Comment("是否启用")]
    public bool IsEnable { get; set; }
    [Comment("是否公共分页")]
    public bool IsPublicPage { get; set; } = false;

    [Comment("排序")]
    public int ShowOrder { get; set; } = 0;
    public Guid ReadingQuestionCriterionTrialId { get; set; }
}
